/*
	FontAwesome adjustments
*/
.fa-stack-1x {
	line-height: 2;
}

@media (min-width: 1300px) {
	.container {
		width: 1280px;
	}
}

/*
	Allgemein
*/
body.admin {
	background: #f1f5f9;
}

h1 {
	font-size: 36px;
}

b, strong {
	font-weight: 600;
}

input, textarea {
  font-size: 16px;
}

textarea {
	resize: vertical;
}

select {
	appearance: none;
	height: 30px;
	padding: 0px 10px !important;
	cursor: pointer;
}

.preview_image img {
	width: 100%;
    height: 75px;
    object-fit: contain;
    object-position: left center;
}

.tw-w-1\/2,
.tw-w-2\/4 {
	width: 50% !important;
}

.tw-w-1\/3 {
	width: 33.333% !important;
}

.tw-w-2\/3 {
	width: 66.666% !important;
}

.tw-w-1\/4 {
	width: 25% !important;
}

.tw-w-3\/4 {
	width: 75% !important;
}

.tw-w-1\/5 {
	width: 20% !important;
}

.tw-w-4\/5 {
	width: 80% !important;
}

.tw-pl-0 {
	padding-left: 0;
}

.tw-pr-0 {
	padding-right: 0;
}

/*
	Admin Login, Reset Password
*/
.login_admin .logo img,
.authentication .logo img {
	width: 270px;
	height: 150px;
	object-fit: contain;
}

/*
	Admin Portal
*/
.navbar-nav > li > a {
	padding: 20px .5rem;
}

aside#menu #logo a img {
	width: 200px;
	height: 50px;
	object-fit: contain;
	object-position: left center;
	filter: brightness(0) invert(1);
}

@media screen and (min-width:768px) {
	.dropdown-menu:not(.notifications) {
		width: max-content;
	}
}

#side-menu.nav > li.pinned_project.active,
#side-menu.nav > li.pinned_project.active > a,
#side-menu.nav > li.pinned_project > a:focus,
#side-menu.nav > li.pinned_project > a:hover {
	background: #334155;
	border-radius: 5px;
}

.pinned-separator {
	margin-top: 15px;
	border-bottom: 1px solid #334155 !important;
}

.pinned_project .progress {
	margin: 10px 0 5px 0;
}

.pinned_task .label {
	transform: scale(0.8) translateX(-10%);
}

#side-menu.nav > li.pinned_project {
	padding-bottom: 0;
}

#side-menu.nav > li.pinned_project:last-child {
	border-bottom: none;
}

/*
	Header Timer Animation 
*/
svg.timer-animated #minute-hand {
  transform-origin: 12px 12px;
  animation: rotateMinute 10s linear infinite;
}

svg.timer-animated #hour-hand {
  transform-origin: 12px 12px;
  animation: rotateHour 60s linear infinite;
}

@keyframes rotateMinute {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes rotateHour {
  from {
    transform: rotate(90deg);
  }
  to {
    transform: rotate(450deg);
  }
}

.task-attachment-wrapper {
	max-height: 260px;
}

.task-attachment {
	min-height: 255px;
	max-height: 255px;
}

.task-attachment .task-attachment-no-preview {
	margin-top: 85px;
}

.comment-content .task-attachment .task-attachment-no-preview {
	margin-top: 55px;
}

img.task-attachment-preview-img {
	width: 100%;
	height: 200px;
	object-fit: contain;
	object-position: center;
}

.task-modal-single .comment-content img {
	max-width: 350px;
	max-height: 100px;
	object-position: left;
}

.locked {
	display: none;
	pointer-events: none;
}

.locked.unlock {
	display: initial;
	pointer-events: auto;
}

#notes {
	background: #f1f5f9;
    width: 100%;
    height: 100%;
    z-index: 999;
    position: fixed;
    overflow-y: scroll;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    overflow-x: hidden;
    padding: 15px;
}

#quick-create {
	columns: 2;
}

#quick-create .dropdown-header {
	column-span: all;
}

.read-more-state {
  display: none;
}

.read-more-wrap {
	height: 20px;
	overflow: hidden;
}

.read-more-state:checked ~ .read-more-wrap {
	opacity: 1;
	height: fit-content;
	max-height: 158px;
	overflow: scroll !important;
}

.read-more-trigger {
	cursor: pointer;
	font-weight: normal !important;
}

span.mention {
	display: inline-block;
    background-color: #f7faff;
    padding: 2px 5px;
    color: #3b82f6;
    font-weight: 500;
    border: 1px solid #b1cdfb;
    border-radius: 3px;
}

.checkbox,
.checkbox > *,
.todo-checkbox,
.todo-checkbox > * {
	cursor: pointer;
}

input[type=checkbox] {
	top: 0px;
    width: 20px;
    height: 20px;
}

@media (min-width: 768px) {
	table.number-index-1 tbody > tr > td:first-child {
	    padding-right: 10px;
	}
}

#session_timeout_modal,
#test_period_modal {
	background: #f1f5f9;
	padding-top: 10vh;
	z-index: 99999 !important;
}

.kan-ban-content li.task {
	cursor: move;
}

table.items .description br[pagebreak=true] {
	display: none;
}

/* Gantt */
.handle-group, .handle {
    display: none !important;
}

/* Date + Timepicker */
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_next, .xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_prev {
	margin-left: 35px;
}

.xdsoft_datetimepicker .xdsoft_timepicker {
	width: 100px;
}

.xdsoft_datetimepicker .xdsoft_datepicker {
	width: 285px;
}

.xdsoft_datetimepicker .xdsoft_month {
	width: 115px;
}

.xdsoft_datetimepicker .xdsoft_year {
	width: 100px;
}

/* Timesheets */
#task_single_timesheets .table-responsive {
	overflow: unset;
}

/* PDF Backgrounds */
label[for="custom_pdf_background_page_1"] + img,
label[for="custom_pdf_background_page_2"] + img {
	border: 1px solid #eee;
	box-shadow: 0 0 20px #eee;
}

/*
	Customers Portal
*/
.customers .navbar {
	position: sticky;
	top: 0;
	z-index: 99;
}

.customers .navbar > .container .navbar-brand {
	margin-left: 0;
}

.customers .navbar a.navbar-brand {
	padding: 17.5px 0 10px 0;
}

.customers .navbar a.navbar-brand img {
	height: 50px;
}

.customers .login-heading {
	font-size: 2.5em;
}

.customers footer.footer {
	height: fit-content;
}

.customers .jumbotron {
	background: #f1f5f9;
}

.kb-search-jumbotron {
	margin-bottom: 50px;
}

.customers #content {
	min-height: calc(100vh - 210px);
}

.customers .horizontal-scrollable-tabs .horizontal-tabs .nav-tabs-horizontal > li {
	float: left;
}

.custom-select-wrapper {
	position: relative;
	display: inline-block;
	width: 80px; /* Breite der Select-Box */
}

.custom-select-wrapper .caret {
	position: absolute;
	right: 15px;
	top: 50%;
	pointer-events: none;
	color: #333;
	font-size: 14px;
}